from django.contrib import admin

from .models import Classe, Eleve, Message, Resultat
# Register your models here.

class ResultatInline(admin.TabularInline):
    model = Resultat
    extra = 0
    classes = ["collapse"]

class MessageInline(admin.TabularInline):
    model = Message
    extra = 0


class EleveAdmin(admin.ModelAdmin):
    list_display = ['nom_eleve', 'prenom_eleve']

class ClasseAdmin(admin.ModelAdmin):
    fieldsets = (
        (None, {
            "fields": (
                [('nom_classe','annee_scolaire'),'code_acces']
            ),
        }),
        ('Élèves', {
            "fields": (
                ['eleves']
            ),
            "classes": ["collapse"],
        })
    )
    
    filter_horizontal = ('eleves',) 
    inlines = [ResultatInline, MessageInline]
 
admin.site.register(Eleve, EleveAdmin)
admin.site.register(Classe, ClasseAdmin)
admin.site.register(Message)
